local gr, lm = love.graphics, love.mouse
function love.load()
	w, h = 800, 600
    canvas = gr.newCanvas( w, h )
	gr.setColor( 255, 255, 255, 255 )
	gr.setCaption( 'Drawing to a canvas' )
	end

function love.update()
	local pos = { love.mouse.getX(), love.mouse.getY() }
	if lm.isDown( 'r' ) then canvas:clear() end
	if lm.isDown( 'l' ) then
		gr.setCanvas( canvas )
		gr.point( pos[1], h - pos[2] )
		gr.setCanvas()
		end
	end

function love.draw()
	gr.draw( canvas )
	gr.print( love.timer.getFPS(), 10, 10 )
	end

function love.keypressed( key )
	if key == 'escape'	then love.event.quit() end
	end
